__gnu_pbds::quadratic_probe_fn< Size_Type > Class Template Reference

## Public Types

typedef Size_Type | size_type

## Public Member Functions

void | swap (quadratic_probe_fn< Size_Type > &other)

## Protected Member Functions

size_type | operator() (size_type i) const

## Detailed Description

### template<typename Size_Type = std::size_t>
class __gnu_pbds::quadratic_probe_fn< Size_Type >

A probe sequence policy using square increments.

Definition at line 85 of file hash_policy.hpp.

## Member Function Documentation

## operator()()

template<typename Size_Type >

quadratic_probe_fn< Size_Type >::size_type __gnu_pbds::quadratic_probe_fn< Size_Type >::operator() | ( | size_type | i | ) | const

inline protected

Returns the i-th offset from the hash value.

Definition at line 51 of file hash_policy.hpp.

The documentation for this class was generated from the following file:

- hash_policy.hpp